Skip to main content
GET
/
v1
/
quotes
/
{id}
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

const quote = await client.quotes.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(quote.id);
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "quote",
  "status": "pending",
  "funding_status": "pending",
  "source_amount": "<string>",
  "source_currency": "EUR",
  "target_amount": "<string>",
  "target_currency": "EUR",
  "exchange_rate": "<string>",
  "venue": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Path Parameters

id
string<uuid>
required

Unique identifier of the quote.

Response

200 - application/json

The quote resource

id
string<uuid>
required

Unique identifier of the quote.

type
enum<string>
required

Resource type discriminator.

Available options:
quote
status
enum<string>
required

Current status of the quote.

Available options:
pending,
quote_accepted,
order_pending,
order_failed,
order_completed,
withdrawal_pending,
withdrawal_failed,
withdrawal_completed,
completed,
failed
funding_status
enum<string>
required

Current funding status of the quote.

Available options:
pending,
sent,
completed,
failed,
on_hold
source_amount
string
required

Source amount as a string decimal.

source_currency
enum<string>
required

Source currency code.

Available options:
EUR,
GBP,
USD,
USDC
target_amount
string
required

Target amount as a string decimal.

target_currency
enum<string>
required

Target currency code.

Available options:
EUR,
GBP,
USD,
USDC
exchange_rate
string
required

Exchange rate applied.

venue
string
required

Execution venue (e.g. "kraken").

expires_at
string<date-time>
required

ISO 8601 UTC timestamp when the quote expires.

created_at
string<date-time>
required

ISO 8601 UTC timestamp when the quote was created.

updated_at
string<date-time>
required

ISO 8601 UTC timestamp when the quote was last updated.